@font-face {
    font-family: "Fredoka";
    src: url("../fonts/Fredoka-VariableFont_wdth,wght.woff2") format("woff2")
}

*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    --bg: oklch(0.99 0.003 325);
    --text:oklch(0.25 0.01 325);
    font-family: "Fredoka", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}

body{
    margin: 0;
}

.container{
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

nav{
    ul{
        padding: 0;
        margin: 0;
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        margin-inline-start: -2rem;
    }
}

nav a{
    display: inline-block;
    padding-block: 1rem;
    padding-inline: 2rem;
    color: inherit;
    text-decoration: none;
}

.row {
    display:flex;
    gap: 2rem;
    > *{
        border:1px dashed oklch(0.6576 0.2733 325.6) ;
        padding: 1rem;
        flex:1 ;
    }
    > *:first-child {
        flex: 2;
    }
}

main {
    nav {
        --text: oklch(0.99 0.003 325);
        --bg: oklch(0.45 0.32 40);

        ul {
            list-style: none;
            display: flex;
            flex-wrap: wrap;
            justify-content: flex-end;
            margin: 0;
            padding: 0;
        }

        a {
            color: var(--text);
            background-color: var(--bg);
            text-decoration: none;
            display: block;
            padding-block: 1rem;
            padding-inline: 2rem;
            transition: color 0.4s ease-in-out, background-color 0.4s ease-in-out;

            &:hover,
            &:focus-visible {
                color: var(--bg);
                background-color: var(--text);
            }
        }

        li:first-child {
            margin-inline-end: auto;
        }

        .portefolio {
            background-color: transparent;
            color: oklch(0.25 0.01 325);
            font-weight: bold;
        }
    }
}

main {
    .cards {
        list-style: none;
        padding: 0;
        margin: 0;


        display: flex;
        flex-wrap: wrap;
        gap: 2rem;

        li {
            background-color: oklch(0.97 0.01 325);
            border-radius: 0.5rem;
            overflow: hidden;
            flex: 1 1 18rem;
            box-shadow:
                    0 0 0.4rem oklch(0 0 0 / .2),
                    0 0 2rem oklch(0 0 0 / .1);
            display: flex;
            flex-direction: column;
            position: relative;


            .content {
                padding: 1rem;

                h3 {
                    margin-block: 0 0.5rem;
                    font-size: 1.25rem;
                    color: oklch(0.3 0.02 325);
                }

                p {
                    margin-block-end: 1rem;
                    color: oklch(0.4 0.01 325);
                }

                a {
                    color: oklch(0.45 0.32 40);
                    text-decoration: none;
                    font-weight: bold;
                    transition: color 0.3s ease-in-out;

                    &:hover,
                    &:focus-visible {
                        color: oklch(0.25 0.01 325);
                    }
                }
            }

            .overlay-link {
                position: absolute;
                inset: 0;
                z-index: 1;
                --bg: transparant;
                transition: background-color 0.4s ease-in-out;
                text-indent: -10000rem;
                overflow: hidden;
            }
            .overlay-link:hover,
            .overlay-link:focus-visible {
                background-color: oklch(0.45 0.32 40 / 0.2);
            }
        }
    }
}